package com.scalapay.model;

import com.scalapay.model.ScalaPayConfigurationModel;
import de.hybris.platform.servicelayer.config.ConfigurationService;
import de.hybris.platform.servicelayer.model.attribute.DynamicAttributeHandler;
import org.apache.commons.lang.BooleanUtils;
import org.springframework.beans.factory.annotation.Required;

import javax.annotation.Resource;

public class ScalapayApiUrlHandler implements DynamicAttributeHandler<String, ScalaPayConfigurationModel> {

    public static final String URL_STAGING_KEY = "scalapay.url.staging";
    public static final String URL_LIVE_KEY = "scalapay.url.live";

    @Resource
    private ConfigurationService configurationService;

    @Override
    public String get(ScalaPayConfigurationModel model) {
        boolean liveMode = BooleanUtils.isTrue(model.getLiveMode());
        if (liveMode) {
            return configurationService.getConfiguration().getString(URL_LIVE_KEY);
        } else {
            return configurationService.getConfiguration().getString(URL_STAGING_KEY);
        }
    }

    @Override
    public void set(ScalaPayConfigurationModel model, String s) {
        throw new UnsupportedOperationException();
    }

    @Required
    public void setConfigurationService(ConfigurationService configurationService) {
        this.configurationService = configurationService;
    }
}


