package com.scalapay.model;

import de.hybris.platform.servicelayer.config.ConfigurationService;
import de.hybris.platform.servicelayer.model.attribute.DynamicAttributeHandler;
import org.apache.commons.lang.BooleanUtils;
import org.springframework.beans.factory.annotation.Required;

public class ScalapayTokenHandler implements DynamicAttributeHandler<String, ScalaPayConfigurationModel> {

    @Override
    public String get(ScalaPayConfigurationModel model) {
        boolean liveMode = BooleanUtils.isTrue(model.getLiveMode());
        if (liveMode) {
            return model.getScalapayToken_live();
        } else {
            return model.getScalapayToken_staging();
        }
    }

    @Override
    public void set(ScalaPayConfigurationModel model, String s) {
        throw new UnsupportedOperationException();
    }


}
