package com.scalapay.order.hook;

import com.scalapay.facade.ScalapayFacade;
import de.hybris.platform.commerceservices.order.hook.CommercePlaceOrderMethodHook;
import de.hybris.platform.commerceservices.service.data.CommerceCheckoutParameter;
import de.hybris.platform.commerceservices.service.data.CommerceOrderResult;
import de.hybris.platform.core.model.order.payment.PaymentInfoModel;
import de.hybris.platform.core.model.order.payment.ScalaPayPaymentInfoModel;
import org.springframework.beans.factory.annotation.Required;

public class ScalaPayPlaceOrderMethodHookImpl implements CommercePlaceOrderMethodHook {

    private ScalapayFacade scalapayFacade;

    @Override
    public void afterPlaceOrder(CommerceCheckoutParameter parameter, CommerceOrderResult orderModel) {
        PaymentInfoModel paymentInfo = orderModel.getOrder().getPaymentInfo();
        if (paymentInfo instanceof ScalaPayPaymentInfoModel) {
            scalapayFacade.updateMerchantReference(orderModel.getOrder());
        }
    }

    @Override
    public void beforePlaceOrder(CommerceCheckoutParameter parameter) { }

    @Override
    public void beforeSubmitOrder(CommerceCheckoutParameter parameter, CommerceOrderResult result) { }

    @Required
    public void setScalapayFacade(ScalapayFacade scalapayFacade) {
        this.scalapayFacade = scalapayFacade;
    }
}
