/*
 * [y] hybris Platform
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */
package com.scalapay.setup;

import static com.scalapay.constants.ScalapayConstants.PLATFORM_LOGO_CODE;

import de.hybris.platform.core.initialization.SystemSetup;

import java.io.InputStream;

import com.scalapay.constants.ScalapayConstants;
import com.scalapay.service.ScalapayService;


@SystemSetup(extension = ScalapayConstants.EXTENSIONNAME)
public class ScalapaySystemSetup
{
	private final ScalapayService scalapayService;

	public ScalapaySystemSetup(final ScalapayService scalapayService)
	{
		this.scalapayService = scalapayService;
	}

	@SystemSetup(process = SystemSetup.Process.INIT, type = SystemSetup.Type.ESSENTIAL)
	public void createEssentialData()
	{
		scalapayService.createLogo(PLATFORM_LOGO_CODE);
	}

}
