<%@ tag body-content="empty" trimDirectiveWhitespaces="true"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="scala" uri="http://hybris.com/tld/scala" %>

<%@ attribute name="amount" required="true" type="java.lang.String" %>
<%@ attribute name="currencyIso" required="true" type="java.lang.String" %>
<%@ attribute name="styling" required="true" type="com.scalapay.data.ScalaPayStylingData" %>

<%--template: https://www.cdn.scalapay.com/js/scalapay-widget/--%>
<c:choose>
    <c:when test="${scala:validForSessionCurrencyAndAmount(Double.parseDouble(amount)) and styling.enabled}">
        <script>
          const script = document.createElement('script');
          script.src = 'https://cdn.scalapay.com/js/scalapay-widget/scalapay-widget.js';
          script.type = 'text/javascript';
          document.getElementsByTagName('head')[0].appendChild(script);

          // Create the div element to load the widget into
          const scalapayWidgetDiv = document.createElement('scalapay-widget');

          // Set the attributes
          scalapayWidgetDiv.setAttribute('amount', '${amount}');
          scalapayWidgetDiv.setAttribute('min', '${scala:minimumSupportedAmount()}');
          scalapayWidgetDiv.setAttribute('max', '${scala:maximumSupportedAmount()}');
          scalapayWidgetDiv.setAttribute('amountSelectorArray', '${styling.amountSelectorArray}');
          scalapayWidgetDiv.setAttribute('size', '${styling.sizePx}');
          scalapayWidgetDiv.setAttribute('logoSize', '${styling.logoSizePercentage}');
          scalapayWidgetDiv.setAttribute('priceColor', '${styling.priceColorHex}');
          scalapayWidgetDiv.setAttribute('logoColor', '${styling.logoColorHex}');
          scalapayWidgetDiv.setAttribute('logoAlignment', '${styling.logoAlignment}');
          scalapayWidgetDiv.setAttribute('numberOfPayments', '${styling.numberOfPayments}');
          scalapayWidgetDiv.setAttribute('hideLogo', '${styling.hideLogo}');
          scalapayWidgetDiv.setAttribute('hidePrice', '${styling.hidePrice}');
          scalapayWidgetDiv.setAttribute('locale', '${styling.hidePrice}');
          scalapayWidgetDiv.setAttribute('currencySeparator', '${styling.currencySeparator}');
          // Find the location of the current pricebox
          const priceBoxDiv = document.querySelector("${styling.priceBoxSelector}");

          // Append the scalapay Widget after the priceBox
          priceBoxDiv.insertAdjacentElement('afterend', scalapayWidgetDiv);
        </script>

    </c:when>
    <c:otherwise>
        <script>
          console.debug(`ScalaPay not supported for session cart`)
        </script>
    </c:otherwise>
</c:choose>
